osl::game_playing::SpeculativeSearchPlayer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::game_playing::SpeculativeSearchPlayer Class Reference

相手時間中に探索 More...

`#include <speculativeSearchPlayer.h>`

Inheritance diagram for osl::game_playing::SpeculativeSearchPlayer:
[legend]
Collaboration diagram for osl::game_playing::SpeculativeSearchPlayer:
[legend]

## Public Member Functions
| SpeculativeSearchPlayer (Player my_turn, SearchPlayer *)
| 所有権移転 More...
| ~SpeculativeSearchPlayer ()
ComputerPlayer * | clone () const
| new したものを返す More...
void | pushMove (Move m)
void | popMove ()
bool | stopSearchNow ()
| 探索をとめる More...
void | setMaxThreads (int new_max_threads)
| ThreadForEachMove のみに有効 More...
const MoveWithComment | selectBestMove (const GameState &, int limit, int elapsed, int byoyomi)
search::TimeAssigned | standardSearchSeconds (const GameState &, int limit, int elapsed, int byoyomi) const
Public Member Functions inherited from osl::game_playing::ComputerPlayer
| ComputerPlayer ()
virtual | ~ComputerPlayer ()
virtual bool | isReasonableMove (const GameState &, Move move, int pawn_sacrifice)
virtual void | setInitialState (const NumEffectState &)
virtual void | allowSpeculativeSearch (bool value)
| 相手時間の探索を許可する (GameManager が操作) More...
virtual void | setRootIgnoreMoves (const container::MoveVector *rim, bool prediction)

## Private Member Functions
void | selectBestMoveCleanUp (const GameState &state)

## Private Attributes
boost::scoped_ptr< SearchPlayer > | main_player
boost::shared_ptr< GameState > | previous_state
boost::scoped_ptr < SpeculativeModel > | speculative
Player | my_turn

## Additional Inherited Members
Protected Attributes inherited from osl::game_playing::ComputerPlayer
bool | speculative_search_allowed

## Detailed Description

相手時間中に探索

Definition at line 20 of file speculativeSearchPlayer.h.

## Constructor & Destructor Documentation

osl::game_playing::SpeculativeSearchPlayer::SpeculativeSearchPlayer | ( | Player | my_turn,
|  | SearchPlayer * | player
| ) |  |

所有権移転

Definition at line 20 of file speculativeSearchPlayer.cc.

osl::game_playing::SpeculativeSearchPlayer::~SpeculativeSearchPlayer | ( | ) |  |

Definition at line 28 of file speculativeSearchPlayer.cc.

## Member Function Documentation

osl::game_playing::ComputerPlayer * osl::game_playing::SpeculativeSearchPlayer::clone | ( | ) |  | const
| virtual

new したものを返す

Implements osl::game_playing::ComputerPlayer.

Definition at line 33 of file speculativeSearchPlayer.cc.

void osl::game_playing::SpeculativeSearchPlayer::popMove | ( | ) |  |
| virtual

Implements osl::game_playing::ComputerPlayer.

Definition at line 78 of file speculativeSearchPlayer.cc.

void osl::game_playing::SpeculativeSearchPlayer::pushMove | ( | Move | m) |  |
| virtual

Implements osl::game_playing::ComputerPlayer.

Definition at line 46 of file speculativeSearchPlayer.cc.

References osl::Move::player(), osl::OslConfig::setUsiSilent(), and osl::OslConfig::usiMode().

const osl::search::MoveWithComment osl::game_playing::SpeculativeSearchPlayer::selectBestMove | ( | const GameState & | ,
|  | int | seconds,
|  | int | elapsed,
|  | int | byoyomi
| ) |  |
| virtual

Parameters

  seconds | 残り持ち時間

Implements osl::game_playing::ComputerPlayer.

Definition at line 104 of file speculativeSearchPlayer.cc.

References osl::ctime_r(), osl::game_playing::GameState::hashHistory(), osl::Move::INVALID(), osl::Move::isNormal(), osl::container::MoveStack::lastMove(), limit, osl::eval::max(), osl::eval::min(), osl::game_playing::GameState::moveHistory(), result, osl::OslConfig::setUsiSilent(), osl::record::csa::show(), osl::hash::HashKeyStack::top(), and osl::OslConfig::usiMode().

void osl::game_playing::SpeculativeSearchPlayer::selectBestMoveCleanUp | ( | const GameState & | state) |  |
| private

Definition at line 152 of file speculativeSearchPlayer.cc.

References osl::game_playing::GameState::clone().

void osl::game_playing::SpeculativeSearchPlayer::setMaxThreads | ( | int | new_max_threads) |  |

ThreadForEachMove のみに有効

Definition at line 40 of file speculativeSearchPlayer.cc.

osl::search::TimeAssigned osl::game_playing::SpeculativeSearchPlayer::standardSearchSeconds | ( | const GameState & | state,
|  | int | limit,
|  | int | elapsed,
|  | int | byoyomi
| ) |  | const

Definition at line 92 of file speculativeSearchPlayer.cc.

References osl::search::TimeAssigned::max, result, and osl::search::TimeAssigned::standard.

bool osl::game_playing::SpeculativeSearchPlayer::stopSearchNow | ( | ) |  |
| virtual

探索をとめる

Reimplemented from osl::game_playing::ComputerPlayer.

Definition at line 86 of file speculativeSearchPlayer.cc.

## Member Data Documentation

boost::scoped_ptr<SearchPlayer> osl::game_playing::SpeculativeSearchPlayer::main_player
| private

Definition at line 22 of file speculativeSearchPlayer.h.

Player osl::game_playing::SpeculativeSearchPlayer::my_turn
| private

Definition at line 25 of file speculativeSearchPlayer.h.

boost::shared_ptr<GameState> osl::game_playing::SpeculativeSearchPlayer::previous_state
| private

Definition at line 23 of file speculativeSearchPlayer.h.

boost::scoped_ptr<SpeculativeModel> osl::game_playing::SpeculativeSearchPlayer::speculative
| private

Definition at line 24 of file speculativeSearchPlayer.h.

The documentation for this class was generated from the following files:

- speculativeSearchPlayer.h
- speculativeSearchPlayer.cc